
Katello - Bug #6494

roles API shall access foreman roles (not katello roles)

07/04/2014 06:33 AM - Tomáš Strachota

Status: Closed   

Priority: Normal   

Assignee: Tomáš Strachota   

Category: API   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1102816 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1102816

Description of problem:

It looks I'm accessing other roles when using roles API than the roles displayed in Sat6 WebUI.

Version-Release number of selected component (if applicable):

Satellite-6.0.3-RHEL-6-20140523.0-Satellite-x86_64

How reproducible:

always

Steps to Reproduce:

1.

$ curl -s -H "Content-Type:application/json" -H "Accept:application/json,version=2" -k -u admin:changeme

-d'{"role":{"name":"new_role"}}' -X POST http://localhost/katello/api/roles

{"created_at":"2014-05-29T15:29:37Z","updated_at":"2014-05-29T15:29:37Z","id":6,"name":"new_role","locked":false,"description":nu

ll}

Actual results:

But I do not see 'new_role' on https://&lt;sat6_fqdn&gt;/roles

Role with id = 6 is: 'View hosts'

Expected results:

roles API access the same roles as displayed on WebUI

Related issues:

Is duplicate of Katello - Bug #5979: remove katello roles and permissions rou... Duplicate 05/28/2014

History

#1 - 07/04/2014 06:36 AM - Tomáš Strachota

- Status changed from New to Ready For Testing

https://github.com/Katello/katello/pull/4389

#2 - 07/04/2014 09:41 AM - Tomáš Strachota

- Is duplicate of Bug #5979: remove katello roles and permissions routes and apipie added

#3 - 07/04/2014 09:42 AM - Tomáš Strachota

- Status changed from Ready For Testing to Closed

It's a duplicate of #5979. I'm closing this one.

#4 - 07/07/2014 07:15 AM - Eric Helms

- Triaged changed from No to Yes
https://bugzilla.redhat.com/show_bug.cgi?id=1102816
http://localhost/katello/api/roles
https://&lt;sat6_fqdn&gt;/roles
https://github.com/Katello/katello/pull/4389
https://projects.theforeman.org/issues/5979


#5 - 07/07/2014 07:37 AM - Eric Helms

- Target version set to 48

#6 - 08/22/2014 09:00 AM - Eric Helms

- translation missing: en.field_release set to 13
